<template>
  <doc-content-with-toc :toc-deepness="2">
    <h1>Borders</h1>

    <table class="">
      <thead>
        <tr>
          <th>Side</th>
          <th>Default</th>
          <th>Alternative</th>
          <th>None</th>
        </tr>
      </thead>
      <tbody>
        <tr>
          <td class="-pd -b--none -text--right">all</td>
          <td class="-pd -b--none"><span class="-ps -b"><code>-b</code></span></td>
          <td class="-pd -b--none"><span class="-ps -b--alt"><code>-b--alt</code></span></td>
          <td class="-pd -b--none"><span class="-ps -b--none"><code>-b--none</code></span></td>
        </tr>

        <tr v-for="(side, shorthand) in sides" :key="shorthand" class="-pd -b--none">
          <td class="-pd -b--none -text--right">{{ side }}</td>
          <td class="-pd -b--none"><span :class="`-ps -b${shorthand}`"><code>{{ `-b${shorthand}` }}</code></span></td>
          <td class="-pd -b--none"><span :class="`-ps -b${shorthand}--alt`"><code>{{ `-b${shorthand}--alt` }}</code></span></td>
          <td class="-pd -b--none"><span :class="`-ps -b -b${shorthand}--none`"><code>{{ `-b${shorthand}--none` }}</code></span></td>
        </tr>
      </tbody>
    </table>
  </doc-content-with-toc>
</template>

<script>
import { sampleText, sides } from '../../utils/constants.js'
import { DocContentWithToc } from '../../../../documentation_system/components/index.js'

export default {
  name: 'BordersView',
  components: { DocContentWithToc },
  data () {
    return {
      sides,
      sampleText,
    }
  },
  created () {
    this.$setTitle('Borders')
  },
}
</script>
